Package net.shibboleth.idp.authn.context

# Class CertificateContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
net.shibboleth.idp.authn.context.CertificateContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

public final class CertificateContext extends BaseContext
Context that carries a `Certificate` to be validated.

Parent:
  `AuthenticationContext`
Added:
  After extraction of a certificate during authentication

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private Certificate`
`certificate`
The certificate to be validated.
`private Collection<Certificate>`
`intermediates`
Additional certificates as input to validation.

## Constructor Summary

Constructors
Constructor
Description
`CertificateContext()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Certificate`
`getCertificate()`
Get the certificate to be validated.
`Collection<Certificate>`
`getIntermediates()`
Get any additional certificates accompanying the end-entity certificate.
`CertificateContext`
`setCertificate(Certificate cert)`
Set the certificate to be validated.
`CertificateContext`
`setIntermediates(Collection<Certificate> certs)`
Set the additional certificates accompanying the end-entity certificate.

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### certificate

@Nullable private Certificate certificate
The certificate to be validated.

### intermediates

@Nonnull private Collection<Certificate> intermediates
Additional certificates as input to validation.

## Constructor Details

### CertificateContext

public CertificateContext()
Constructor.

## Method Details

### getCertificate

@Nullable public Certificate getCertificate()
Get the certificate to be validated.

Returns:
  the certificate to be validated

### setCertificate

@Nonnull public CertificateContext setCertificate(@Nullable Certificate cert)
Set the certificate to be validated.

Parameters:
  `cert` - certificate to be validated
Returns:
  this context

### getIntermediates

@Nonnull @Live public Collection<Certificate> getIntermediates()
Get any additional certificates accompanying the end-entity certificate.

Returns:
  any additional certificates

### setIntermediates

@Nonnull public CertificateContext setIntermediates(@Nonnull Collection<Certificate> certs)
Set the additional certificates accompanying the end-entity certificate.

Parameters:
  `certs` - additional certificates
Returns:
  this context